/***************************************************************************
 *   Copyright (C) 2008 by Dario Freddi <drf@kdemod.ath.cx>                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#include "ConnectedDevicesModel.h"

#include "AbstractDevice.h"

ConnectedDevicesModel::ConnectedDevicesModel(QObject *parent)
        : QStandardItemModel(parent)
{

}

ConnectedDevicesModel::~ConnectedDevicesModel()
{
}

void ConnectedDevicesModel::addDevice(AbstractDevice *device)
{
    QStandardItem *item = new QStandardItem();

    item->setData(QVariant::fromValue(device), ReferenceRole);
    item->setData(QVariant(device->name()), Qt::DisplayRole);

    appendRow(item);
}

void ConnectedDevicesModel::removeDevice(AbstractDevice *device)
{
    for(int i=0; i<rowCount(); ++i) {
        AbstractDevice *ref = index(i, 0).data(ReferenceRole).value<AbstractDevice*>();

        if (ref == device) {
            delete takeItem(i, 0);
            break;
        }
    }
}

AbstractDevice *ConnectedDevicesModel::getDeviceFromIndex(const QModelIndex &index)
{
    return index.data(ReferenceRole).value<AbstractDevice*>();
}

#include "ConnectedDevicesModel.moc"
