/***************************************************************************
 *   Copyright (C) 2008 by Dario Freddi <drf@kdemod.ath.cx>                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/

#ifndef CONNECTEDDEVICESMODEL_H
#define CONNECTEDDEVICESMODEL_H

#include <QStandardItemModel>

class AbstractDevice;

class ConnectedDevicesModel : public QStandardItemModel
{
    Q_OBJECT

public:

    enum CustomRole {
        ReferenceRole = 40,
        ModelRole = 41
    };

    ConnectedDevicesModel(QObject *parent = 0);
    virtual ~ConnectedDevicesModel();

    AbstractDevice *getDeviceFromIndex(const QModelIndex &index);

public slots:
    void addDevice(AbstractDevice *device);
    void removeDevice(AbstractDevice *device);
};

#endif /* CONNECTEDDEVICESMODEL_H_ */
